Bug 95857 - Sort out German plurals ...
Summary: Sort out German plurals ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.0.2.1 rc
Hardware: Other All
: medium normal
Assignee: Daniel Thomas
URL:
Whiteboard: ToBeReviewed target:5.2.0
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2015-11-16 16:02 UTC by Michael Meeks
Modified: 2017-02-14 08:57 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-11-16 16:02:27 UTC
There are a number of bogus plurals across the code-base exposed as member names; so for example:

$ git grep Infos

Shows a ton of hits; would be nice to re-work all that are not in the UNO API to use the 'Info' plural =)

Thanks !
Comment 1 Robinson Tryon (qubit) 2015-12-10 11:40:52 UTC Comment hidden (obsolete)
Comment 2 Daniel Thomas 2016-02-03 01:56:39 UTC
I plan to have a go at this.
Comment 3 Commit Notification 2016-02-12 15:30:46 UTC
danielt998 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2b31daf74e33b988c849cb26e88fa7657a4015af

tdf#95857 Sort out German plurals ...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Robinson Tryon (qubit) 2016-02-18 14:51:32 UTC Comment hidden (obsolete)